Bug 1001909 - Last resources is not committed prior to other resources
Last resources is not committed prior to other resources
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high
: DR12
: EAP 6.4.0
Assigned To: tom.jenkinson
Hayk Hovsepyan
Russell Dickenson
:
Depends On:
Blocks: 1002330 1002584
  Show dependency treegraph
 
Reported: 2013-08-28 01:46 EDT by James Livingston
Modified: 2016-02-21 19:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1002330 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBTM-1431 Major Closed LastResourceRecord.shouldAdd allows insertion regardless of order and type info 2017-03-21 01:43 EDT

  None (edit)
Description James Livingston 2013-08-28 01:46:34 EDT
Due to https://issues.jboss.org/browse/JBTM-1431, it is possible for a last resource (e.g. non-XA resource) to be committed prior to another XA resource, which is unsafe.

This was fixed in master prior to 6.1, but not in a bugfix release so was not pulled into EAP.
Comment 1 James Livingston 2013-08-28 18:36:19 EDT
Fix backported to 4.17 branch by Tom, https://github.com/jbosstm/narayana/commit/986d7792d2dbcc5d01844a5f2240a31a1f5d78b2
Comment 2 JBoss JIRA Server 2013-10-14 07:55:47 EDT
Tom Jenkinson <tom.jenkinson@redhat.com> updated the status of jira JBTM-1431 to Closed
Comment 5 tom.jenkinson 2014-12-05 07:42:36 EST
Went into 4.17.9
Comment 6 Hayk Hovsepyan 2014-12-08 09:29:46 EST
Verified on revision EAP 6.4.0.DR12.
Last resource is committed before XA resources.

For safety reasons the "Commit Markable Resource" is added in EAP 6.3.0. (http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html-single/Development_Guide/index.html#sect-About_the_LRCO_Optimization_for_Single-phase_Commit_1PC)

Note You need to log in before you can comment on or make changes to this bug.